%define version 0.3.0
%define rel 2
%define release %mkrel %rel
%define name libdigidocpp
%define modname digidoc

%define major 0
%define libname %mklibname digidocpp %major
%define develname %mklibname digidocpp -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Library for creating and validating BDoc and DDoc containers

Group:		System/Libraries
License:	LGPLv2+
URL:		http://code.google.com/p/esteid
Source:		http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake
BuildRequires:	libdigidoc-devel
BuildRequires:	libp11-devel
BuildRequires:	openssl-devel
BuildRequires:	xml-security-c-devel
BuildRequires:	xsd-devel
Requires:	opensc

%description
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.


%package	-n %libname
Group:		System/Libraries
Summary:	Library for creating and validating bdoc and ddoc containers
Requires:	%{name} >= %{version}-%{release}

%description	-n %libname
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.

%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	libdigidoc-devel
Requires:	libp11-devel
Requires:	openssl-devel
Requires:	xml-security-c-devel
Requires:	xsd-devel
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %develname
This package contains libraries and header files for
developing applications that use %{name}.

%package	-n perl-%{modname}
Summary:	Perl bindings for %{name}
Group:		Development/Perl
BuildRequires:	perl-devel
BuildRequires:	swig
Requires:	%{libname} = %{version}-%{release}

%description	-n perl-%{modname}
The perl-%{modname} package provides access to
%{name} features from Perl programs.


%package	-n python-%{modname}
Summary:	Python bindings for %{name}
Group:		Development/Python
BuildRequires:	python-devel
BuildRequires:	swig
Requires:	%{libname} = %{version}-%{release}

%description	-n python-%{modname}
The python-%{modname} package provides access to
%{name} features from Python programs.


%package	-n php-%{modname}
Summary:	PHP bindings for %{name}
Group:		Development/PHP
BuildRequires:	php-devel
BuildRequires:	swig
Requires:	%{libname} = %{version}-%{release}

%description	-n php-%{modname}
The php-%{modname} package provides access to
%{name} features from PHP programs.


%prep
%setup -q

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build
mv $RPM_BUILD_ROOT/etc/php.d/digidoc.ini $RPM_BUILD_ROOT/etc/php.d/90_digidoc.ini


%clean
rm -rf $RPM_BUILD_ROOT


%post -n php-%{modname}
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi


%postun -n php-%{modname}
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
        %{_initrddir}/httpd restart >/dev/null || :
    fi
fi


%files
%defattr(-,root,root,-)
%{_sysconfdir}/digidocpp/
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/digidocpp/digidocpp.conf


%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*


%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/digidocpp/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so


%files -n perl-%{modname}
%defattr(-,root,root,-)
%{perl_vendorarch}/auto/digidoc.so
%{perl_vendorlib}/digidoc.pm


%files -n python-%{modname}
%defattr(-,root,root,-)
%{py_platsitedir}/*


%files -n php-%{modname}
%defattr(-,root,root)
%{_datadir}/php/*
%attr(0755,root,root) %{_libdir}/php/extensions/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/90_digidoc.ini




%changelog
* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 0.3.0-2mdv2011.0
+ Revision: 598986
- rebuild for py2.7

* Thu Oct 14 2010 Sander Lepik <sander85@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 585672
- import libdigidocpp


* Thu Oct 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.3.0-1mdv2010.1
- New version 0.3.0

* Thu Sep 23 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-2mdv2010.1
- Correct package names for php, perl and python

* Tue Sep 07 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.2.0-1mdv2010.1
- New version on new bs
- Spec file cleaned up

* Wed Apr 14 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-8mdv2010.1
- New build from Google Code repository
 
* Mon Mar 01 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-7mdv2010.1
- Changeset 2623: show unknown status if failed to read certificate

* Tue Feb 02 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-6mdv2010.1
- Changeset 2454: Removed getUserConfDir from the abstract class where it does not belong.
- Changeset 2528: cleanup, fix compiler warning, fix leaks, check some errors and throw exceptions

* Mon Jan 18 2010 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-5mdv2010.1
- Changeset 2386: update conf to new SK certs (Ticket #1183)
- Changeset 2427: implemented user based configuration

* Tue Dec 22 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-4mdv2010.1
- Changeset 2350 use templates for type safety

* Thu Dec 17 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-3mdv2010.1
- Changeset 2332: add SK new certs, will be active 15 jan 2010
- Changeset 2333: doxygen doc

* Thu Dec 10 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-2mdv2010.1
- Changeset 2241: Link with minizip library if it's available and fall back to using bundled copy if not
- Changeset 2331: add DDoc API doxygen docs

* Fri Nov 20 2009 Sander Lepik <sander.lepik@eesti.ee> - 0.1.0-1mdv2010.1
- Initial release for Mandriva

* Sun Jun 14 2009 Kalev Lember <kalev@smartlink.ee> - 0.1.0-0.2.svn2079
- Initial RPM release.
